<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.model Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling.model Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/exceptions/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/tooling/model/build/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.tooling.model</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><span class="strong">UnsupportedOperationException</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model"><span class="strong">UnsupportedMethodException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/BuildModel.html" title="interface in org.gradle.tooling.model"><span class="strong">BuildModel</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Dependency.html" title="interface in org.gradle.tooling.model"><span class="strong">Dependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ExternalDependency.html" title="interface in org.gradle.tooling.model"><span class="strong">ExternalDependency</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ProjectDependency.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectDependency</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/GradleModuleVersion.html" title="interface in org.gradle.tooling.model"><span class="strong">GradleModuleVersion</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model"><span class="strong">DomainObjectSet</span></a>&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model"><span class="strong">Model</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/BuildIdentifier.html" title="interface in org.gradle.tooling.model"><span class="strong">BuildIdentifier</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model"><span class="strong">Element</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/BuildableElement.html" title="interface in org.gradle.tooling.model"><span class="strong">BuildableElement</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">GradleProject</span></a> (also extends org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>, org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model">ProjectModel</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model"><span class="strong">HierarchicalElement</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">GradleProject</span></a> (also extends org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/BuildableElement.html" title="interface in org.gradle.tooling.model">BuildableElement</a>, org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model">ProjectModel</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ProjectIdentifier.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectIdentifier</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectModel</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">GradleProject</span></a> (also extends org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/BuildableElement.html" title="interface in org.gradle.tooling.model">BuildableElement</a>, org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>)</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">HasGradleProject</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Launchable.html" title="interface in org.gradle.tooling.model"><span class="strong">Launchable</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Task.html" title="interface in org.gradle.tooling.model"><span class="strong">Task</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/GradleTask.html" title="interface in org.gradle.tooling.model"><span class="strong">GradleTask</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/TaskSelector.html" title="interface in org.gradle.tooling.model"><span class="strong">TaskSelector</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model"><span class="strong">SourceDirectory</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/exceptions/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/tooling/model/build/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
